## ifc 6.0

=== Makefile ===
# Makefile for Intel Fortran ver.6 postinstall procedure
#
# 2002/05/04 S.Takehiro
#
#  This makefile links executables, library files, and manuals 
#  to the oridinal desitination of the Debian/GNU Linux system. 
# 
#  Procedure
#    1. Install the intel-ifc rpm file by converting deb with alien.
#    2. Check src directories and install destinaton below.
#    3. Execute "make check" to avoid overwriting existing files.
#    4. Execute "make install"
#    5. Execute "make install-doc" if you want to make Debian document directory
#
#  Src directories
#
SRCDIR=/opt/intel/compiler60
BINSRC=$(SRCDIR)/ia32/bin
LIBSRC=$(SRCDIR)/ia32/lib
MANSRC=$(SRCDIR)/man
DOCSRC=$(SRCDIR)/docs

MANSUBDIRS=man1
#
#  Install Destination
#
#DESTDIR=./debian/tmp
DESTDIR=
#
DESTBIN=$(DESTDIR)/usr/bin
DESTLIB=$(DESTDIR)/usr/lib
DESTMAN=$(DESTDIR)/usr/share/man
DESTDOC=$(DESTDIR)/usr/share/doc/ifc6
#
#  Do not change below
#
check::	check-bin check-lib check-man check-doc

check-bin:
	@echo "Checking binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		if [ -e $(DESTBIN)/$$i ] ; then \
		    echo "$(DESTBIN)/$$i already exists" ;\
		fi ;\
	    fi ;\
	done

check-lib:
	@echo "Checking library files"
	@for i in `ls $(LIBSRC)` ; do \
	    if [ -x $(LIBSRC)/$$i ]; then \
		if [ -e $(DESTLIB)/$$i ]; then \
		    echo "$(DESTLIB)/$${i} already exists" ; \
		fi ;\
	    fi ;\
	done

check-man:
	@echo "Checking man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		if [ -e $(DESTMAN)/$$j/$$i ]; then \
		    echo "$(DESTMAN)/$$j/$$i already exists"; \
		fi ;\
	     done; \
	done

check-doc:
	@echo "Checking doc files"
	@if [ -e $(DESTDOC) ]; then \
		echo $(DESTDOC) already exists ;\
	fi


install:: install-bin install-lib install-man #install-doc 

install-bin:
	@echo "Linking binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		ln -s $(BINSRC)/$$i $(DESTBIN)/$${i}; \
	    fi ;\
	done

install-lib:
	@echo "Linking library files"
	@for i in `ls $(LIBSRC)` ; do \
	    if [ -x $(LIBSRC)/$$i ]; then \
		ln -s $(LIBSRC)/$$i $(DESTLIB)/$${i}; \
	    fi ;\
	done

install-man:
	@echo "Linking man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		ln -s $(MANSRC)/$$j/$$i $(DESTMAN)/$$j/$$i ; \
	     done; \
	done

install-doc:
	@echo "Linking doc files"
	if [ ! -d $(DESTDOC) ]; then \
		mkdir $(DESTDOC) ;\
	fi
	@for i in `ls $(DOCSRC)` ; do \
		ln -s $(DOCSRC)/$$i $(DESTDOC)/$$i ; \
	done

uninstall:: uninstall-bin uninstall-lib uninstall-man # uninstall-doc 

uninstall-bin:
	@echo "Uninstall binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		$(RM) $(DESTBIN)/$${i}; \
	    fi ;\
	done

uninstall-lib:
	@echo "Uninstall library files"
	@for i in `ls $(LIBSRC)` ; do \
	    if [ -x $(LIBSRC)/$$i ]; then \
		$(RM) $(DESTLIB)/$${i}; \
	    fi ;\
	done

uninstall-man:
	@echo "Uninstall man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		$(RM) $(DESTMAN)/$$j/$$i ; \
	     done; \
	done

uninstall-doc:
	@echo "Uninstall doc files"
	@for i in `ls $(DOCSRC)` ; do \
		$(RM) $(DESTDOC)/$$i ; \
	done
	rmdir $(DESTDOC)

clean:
	-$(RM) *~

## ifc 7.0-1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 #  Src directories
 #
-SRCDIR=/opt/intel/compiler60
+SRCDIR=/opt/intel/compiler70
 BINSRC=$(SRCDIR)/ia32/bin
 LIBSRC=$(SRCDIR)/ia32/lib
 MANSRC=$(SRCDIR)/man
@@ -30,7 +30,7 @@
 DESTBIN=$(DESTDIR)/usr/bin
 DESTLIB=$(DESTDIR)/usr/lib
 DESTMAN=$(DESTDIR)/usr/share/man
-DESTDOC=$(DESTDIR)/usr/share/doc/ifc6
+DESTDOC=$(DESTDIR)/usr/share/doc/ifc
 #
 #  Do not change below
 #

=== debian/changelog ===
ifc (7.0-1) unstable; urgency=low

  * For Intel Fortran Compiler for Linux ver.7.

 -- TAKEHIRO Shin-ichi <takepiro@potato>  Thu, 28 Nov 2002 22:33:00 +0900

ifc (6.0-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 00:48:44 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ifc
Section: devel
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.2.1

Package: ifc
Architecture: any
Depends: intel-ifc7 (>=7.0)
Description: Intel Fortran Compiler for Linux (installer)
 Installer for Intel Fortran Compiler. This package produces symbolic 
 links of original files to a normal debian directories, such as /usr/bin, 
 /usr/lib, /usr/share/man and /usr/share/doc. Before installing this package, 
 you should install the intel-ifc6 debian package which is converted from 
 the intel-ifc6 RPM original package with alien. The license file for the 
 compiler is also necessary and it must be placed at /opt/intel/licenses. 
 Web page for download of Intel Fortran compiler is 
 http://developer.intel.com/software/products/compilers/f60l/index.htm

## ifc 7.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Makefile for Intel Fortran ver.6 postinstall procedure
 #
 # 2002/05/04 S.Takehiro
+# 2003/08/18 M.Odaka
 #
 #  This makefile links executables, library files, and manuals 
 #  to the oridinal desitination of the Debian/GNU Linux system.

## ifc 8.0-1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #
 # 2002/05/04 S.Takehiro
 # 2003/08/18 M.Odaka
+# 2003/09/19 M.Odaka
 #
 #  This makefile links executables, library files, and manuals 
 #  to the oridinal desitination of the Debian/GNU Linux system. 
@@ -15,11 +16,12 @@
 #
 #  Src directories
 #
-SRCDIR=/opt/intel/compiler70
-BINSRC=$(SRCDIR)/ia32/bin
-LIBSRC=$(SRCDIR)/ia32/lib
+SRCDIR=/opt/intel_fc_80
+BINSRC=$(SRCDIR)/bin
+LIBSRC=$(SRCDIR)/lib
 MANSRC=$(SRCDIR)/man
-DOCSRC=$(SRCDIR)/docs
+DOCSRC=$(SRCDIR)/doc
+INCSRC=$(SRCDIR)/include
 
 MANSUBDIRS=man1
 #
@@ -32,10 +34,11 @@
 DESTLIB=$(DESTDIR)/usr/lib
 DESTMAN=$(DESTDIR)/usr/share/man
 DESTDOC=$(DESTDIR)/usr/share/doc/ifc
+DESTINC=$(DESTDIR)/usr/include/ifc
 #
 #  Do not change below
 #
-check::	check-bin check-lib check-man check-doc
+check::	check-bin check-lib check-man check-doc check-inc
 
 check-bin:
 	@echo "Checking binary files"
@@ -73,8 +76,18 @@
 		echo $(DESTDOC) already exists ;\
 	fi
 
+check-inc:
+	@echo "Checking include files"
+	@for i in `ls $(INCSRC)` ; do \
+	    if [ -x $(INCSRC)/$$i ]; then \
+		if [ -e $(DESTINC)/$$i ]; then \
+		    echo "$(DESTINC)/$${i} already exists" ; \
+		fi ;\
+	    fi ;\
+	done
 
-install:: install-bin install-lib install-man #install-doc 
+
+install:: install-bin install-lib install-man install-inc #install-doc 
 
 install-bin:
 	@echo "Linking binary files"
@@ -109,7 +122,20 @@
 		ln -s $(DOCSRC)/$$i $(DESTDOC)/$$i ; \
 	done
 
-uninstall:: uninstall-bin uninstall-lib uninstall-man # uninstall-doc 
+install-inc:
+	@echo "Linking include files"
+	if [ ! -d $(DESTINC) ]; then \
+		mkdir $(DESTINC) ;\
+	fi
+	@for i in `ls $(INCSRC)` ; do \
+	    if [ -f $(INCSRC)/$$i ]; then \
+		ln -s $(INCSRC)/$$i $(DESTINC)/$${i}; \
+	    fi ;\
+	done
+
+
+
+uninstall:: uninstall-bin uninstall-lib uninstall-man uninstall-inc # uninstall-doc 
 
 uninstall-bin:
 	@echo "Uninstall binary files"
@@ -142,5 +168,15 @@
 	done
 	rmdir $(DESTDOC)
 
+uninstall-inc:
+	@echo "Uninstall include files"
+	@for i in `ls $(INCSRC)` ; do \
+	    if [ -f $(INCSRC)/$$i ]; then \
+		$(RM) $(DESTINC)/$${i}; \
+	    fi ;\
+	done
+	rmdir $(DESTINC)
+
+
 clean:
 	-$(RM) *~

=== debian/changelog ===
ifc (8.0-1) unstable; urgency=low

  * For Intel Fortran Compiler for Linux ver.8-beta. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Fri, 19 Sep 2003 22:06:40 +0900

ifc (7.1-1) unstable; urgency=low

  * For Intel Fortran Compiler for Linux ver.7.1. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon, 18 Aug 2003 19:52:36 +0900

## ifc 8.0-2

=== debian/changelog ===
ifc (8.0-2) unstable; urgency=low

  * fcore_msg.cat is linked to /usr/lib  

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 16 Mar 2004 13:37:23 +0900

=== debian/control ===
Source: ifc
Section: devel
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.2.1

Package: ifc
Architecture: any
Depends: intel-ifort8 (>=8.0)
Description: Intel Fortran Compiler for Linux (installer)
 Installer for Intel Fortran Compiler. This package produces symbolic 
 links of original files to a normal debian directories, such as /usr/bin, 
 /usr/lib, /usr/share/man and /usr/share/doc. Before installing this package, 
 you should install the intel-ifort8 debian package which is converted from 
 the intel-ifort8 RPM original package with alien. The license file for the 
 compiler is also necessary and it must be placed at /opt/intel/licenses. 
 Web page for download of Intel Fortran compiler is 
 http://developer.intel.com/software/products/compilers/flin/index.htm

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=ifc

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	$(MAKE) install-doc DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## ifc 8.1-1

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # 2002/05/04 S.Takehiro
 # 2003/08/18 M.Odaka
 # 2003/09/19 M.Odaka
+# 2004/03/16 M.Odaka
 #
 #  This makefile links executables, library files, and manuals 
 #  to the oridinal desitination of the Debian/GNU Linux system. 
@@ -27,8 +28,8 @@
 #
 #  Install Destination
 #
-#DESTDIR=./debian/tmp
-DESTDIR=
+DESTDIR=./debian/tmp
+#DESTDIR=
 #
 DESTBIN=$(DESTDIR)/usr/bin
 DESTLIB=$(DESTDIR)/usr/lib
@@ -104,6 +105,7 @@
 		ln -s $(LIBSRC)/$$i $(DESTLIB)/$${i}; \
 	    fi ;\
 	done
+	ln -s $(LIBSRC)/ifcore_msg.cat $(DESTLIB)/ifcore_msg.cat
 
 install-man:
 	@echo "Linking man files"

=== debian/changelog ===
ifc (8.1-1) unstable; urgency=low

  * For Intel Fortran Compiler for Linux ver.8.1

 -- Shin-ichi Takehiro <takepiro@gfd-dennou.org>  Fri,  6 May 2005 17:42:03 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: ifc
 Architecture: any
-Depends: intel-ifort8 (>=8.0)
+Depends: intel-ifort8 (>=8.1)
 Description: Intel Fortran Compiler for Linux (installer)
  Installer for Intel Fortran Compiler. This package produces symbolic 
  links of original files to a normal debian directories, such as /usr/bin,

## ifc 8.1-2

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # 2003/08/18 M.Odaka
 # 2003/09/19 M.Odaka
 # 2004/03/16 M.Odaka
+# 2005/10/25 N.Nakano
 #
 #  This makefile links executables, library files, and manuals 
 #  to the oridinal desitination of the Debian/GNU Linux system. 
@@ -17,7 +18,7 @@
 #
 #  Src directories
 #
-SRCDIR=/opt/intel_fc_80
+SRCDIR=/opt/intel_fce_80
 BINSRC=$(SRCDIR)/bin
 LIBSRC=$(SRCDIR)/lib
 MANSRC=$(SRCDIR)/man

=== debian/changelog ===
ifc (8.1-2) unstable; urgency=low

  * AMD64 architecture support

 -- Masuo NAKANO <masuo@geo.kyushu-u.ac.jp>  Tue, 25 Oct 2005 14:26:34 +0900

=== debian/control ===
Source: ifc
Section: devel
Priority: optional
Maintainer: NAKANO Masuo <masuo@geo.kyushu-u.ac.jp>
Standards-Version: 3.2.1

Package: ifc
Architecture: amd64
Depends: intel-iforte8 (>=8.1), ia32-libs-dev
Description: Intel Fortran Compiler for Linux  AMD64 system (installer)
 Installer for Intel Fortran Compiler. This package produces symbolic 
 links of original files to a normal debian directories, such as /usr/bin, 
 /usr/lib, /usr/share/man and /usr/share/doc. Before installing this package, 
 you should install the intel-ifort8e debian package which is converted from 
 the intel-ifort8 RPM original package with alien. The license file for the 
 compiler is also necessary and it must be placed at /opt/intel/licenses. 
 Web page for download of Intel Fortran compiler is 
 http://developer.intel.com/software/products/compilers/flin/index.htm

## ifc 9.0-1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # 2003/08/18 M.Odaka
 # 2003/09/19 M.Odaka
 # 2004/03/16 M.Odaka
-# 2005/10/25 N.Nakano
+# 2005/08/08 M.Nakano
 #
 #  This makefile links executables, library files, and manuals 
 #  to the oridinal desitination of the Debian/GNU Linux system. 
@@ -18,7 +18,7 @@
 #
 #  Src directories
 #
-SRCDIR=/opt/intel_fce_80
+SRCDIR=/opt/intel/fc/9.0
 BINSRC=$(SRCDIR)/bin
 LIBSRC=$(SRCDIR)/lib
 MANSRC=$(SRCDIR)/man

=== debian/changelog ===
ifc (9.0-1) unstable; urgency=low

  * For Intel Fortran Compiler for Linux ver.9.

 -- NAKANO Masuo <masuo@geo.kyushu-u.ac.jp>  Mon,  8 Aug 2005 01:53:37 +0900

=== debian/control ===
Source: ifc
Section: devel
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.2.1

Package: ifc
Architecture: any
Depends: intel-ifort9 (>=9.0)
Description: Intel Fortran Compiler for Linux (installer)
 Installer for Intel Fortran Compiler. This package produces symbolic 
 links of original files to a normal debian directories, such as /usr/bin, 
 /usr/lib, /usr/share/man and /usr/share/doc. Before installing this package, 
 you should install the intel-ifort9 debian package which is converted from 
 the intel-ifort9 RPM original package with alien. The license file for the 
 compiler is also necessary and it must be placed at /opt/intel/licenses. 
 Web page for download of Intel Fortran compiler is 
 http://www.intel.com/cd/software/products/asmo-na/eng/compilers/flin/index.htm

## ifc 9.1.036-1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #
 #  Src directories
 #
-SRCDIR=/opt/intel/fc/9.0
+SRCDIR=/opt/intel/fc/9.1.036
 BINSRC=$(SRCDIR)/bin
 LIBSRC=$(SRCDIR)/lib
 MANSRC=$(SRCDIR)/man

=== debian/changelog ===
ifc (9.1.036-1) unstable; urgency=low

  * For Intel Fortran Compiler for Linux ver.9.1.036

 -- NAKANO Masuo <masuo@geo.kyushu-u.ac.jp>  Sat,  26 Aug 2006 17:43:10 +0900

## ifc 9.1.037-1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #
 #  Src directories
 #
-SRCDIR=/opt/intel/fc/9.1.036
+SRCDIR=/opt/intel/fc/9.1.037
 BINSRC=$(SRCDIR)/bin
 LIBSRC=$(SRCDIR)/lib
 MANSRC=$(SRCDIR)/man

=== debian/changelog ===
ifc (9.1.037-1) unstable; urgency=low

  * For Intel Fortran Compiler for Linux ver.9.1.037.

 -- NAKANO Masuo <masuo@geo.kyushu-u.ac.jp>  Thu, 31 Aug 2006 14:22:58 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: ifc
 Architecture: any
-Depends: intel-ifort9 (>=9.0)
+Suggest: intel-ifort9.1.036 (>=9.1.036)
 Description: Intel Fortran Compiler for Linux (installer)
  Installer for Intel Fortran Compiler. This package produces symbolic 
  links of original files to a normal debian directories, such as /usr/bin,

## ifc 10.0.023-1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #
 #  Src directories
 #
-SRCDIR=/opt/intel/fc/9.1.037
+SRCDIR=/opt/intel/fc/10.0.023
 BINSRC=$(SRCDIR)/bin
 LIBSRC=$(SRCDIR)/lib
 MANSRC=$(SRCDIR)/man
@@ -112,7 +112,8 @@
 	@echo "Linking man files"
 	@for j in $(MANSUBDIRS) ; do \
 	     for i in `ls $(MANSRC)/$$j` ; do \
-		ln -s $(MANSRC)/$$j/$$i $(DESTMAN)/$$j/$$i ; \
+		cp $(MANSRC)/$$j/$$i $(DESTMAN)/$$j/$$i ; \
+		gzip $(DESTMAN)/$$j/$$i ; \
 	     done; \
 	done

=== debian/changelog ===
ifc (10.0.023-1) unstable; urgency=low

  * New Release, Version Number was incorrected

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Tue, 16 Oct 2007 16:30:36 +0900

ifc (10.0.23-3) unstable; urgency=low

  * add Build-Depends: debmake

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Fri, 12 Oct 2007 17:59:56 +0900

ifc (10.0.23-2) unstable; urgency=low

  * Add Dependency libstdc++5

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Fri, 22 Jun 2007 17:01:48 +0900

ifc (10.0.23-1) unstable; urgency=low

  * For Intel Fortran Compiler for linux ver.10.0.023

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Wed,  6 Jun 2007 17:10:57 +0900

=== debian/control ===
Source: ifc
Section: devel
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: devscripts, dh-make, make, debmake
Standards-Version: 3.7.2

Package: ifc
Architecture: any
Depends: libstdc++5
Description: Intel Fortran Compiler for Linux (installer)
 Installer for Intel Fortran Compiler. 
 This package produces symbolic links of original files to a normal 
 debian directories, such as /usr/bin, /usr/lib, /usr/share/man and 
 /usr/share/doc.
 Before installing this package, 
 you should install the Intel Fortran Cpmiler for linux ver.10.0.23.
 The license file for the 
 compiler is also necessary and it must be placed at /opt/intel/licenses. 
 Web page for download of Intel Fortran compiler is 
 http://www.intel.com/cd/software/products/asmo-na/eng/compilers/flin/index.htm
